<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author        D3 Data Development - Daniel Seifert <support@shopmodule.com>
 * @link          http://www.oxidmodule.com
 */

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';
/**
 * Module information
 */
$aModule = array(
    'id'          => 'd3tooltipp',
    'title'       => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') . ' Tooltipp',
    'description' => array(
        'de' => 'Dieses Modul erstellt bereits auf der Produkt&uuml;bersicht eine kleine Zusammenfassung ' //
            . 'der wichtigsten Artikelinfomationen wie bspw.:<br>' //
            . '- Titel<br>' . '- Artikelnummer<br>' //
            . '- Kurzbeschreibung<br>' //
            . '- Preis<br>' //
            . 'Beim "&uuml;berfahren" mit dem Mauszeiger (mouseover) des Artikels, werden diese Details ' //
            . 'automatisch in einem sich &ouml;ffnenden Fenster angezeigt. Dieses Informationsfenster ist ' //
            . 'per Template frei anpassbar.',
        'en' => 'n/a',
    ),
    'thumbnail'   => 'picture.png',
    'version'     => '2.0.0.4',
    'author'      => 'D&sup3; Data Development (Inh. Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'http://www.oxidmodule.com',
    'extend'      => array(
        'oxutilsview' => 'd3/d3tooltipp/modules/core/d3_oxutilsview_tooltipp',
    ),
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'files'       => array(
        'd3tooltipp_update' => 'd3/d3tooltipp/setup/d3tooltipp_update.php',
    ),
    'templates'   => array(
        'd3tooltipp_box.tpl' => 'd3/d3tooltipp/views/tpl/d3tooltipp_box.tpl',
    ),
    'blocks'      => array(
        array(
            'template' => 'layout/base.tpl',
            'block'    => 'base_style',
            'file'     => 'views/blocks/layout/d3tooltipp_css.tpl'
        ),
        array(
            'template' => 'layout/base.tpl',
            'block'    => 'base_js',
            'file'     => 'views/blocks/layout/d3tooltipp_js.tpl'
        ),
        array(
            'template' => 'layout/footer.tpl',
            'block'    => 'footer_main',
            'file'     => 'views/blocks/layout/d3tooltipp_footer.tpl'
        ),
        array(
            'template' => 'widget/product/listitem_grid.tpl',
            'block'    => 'd3_tooltipp_listitem_grid_gridpicture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl'
        ),
        array(
            'template' => 'widget/product/listitem_infogrid.tpl',
            'block'    => 'widget_product_listitem_infogrid_gridpicture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl'
        ),
        array(
            'template' => 'widget/product/listitem_line.tpl',
            'block'    => 'widget_product_listitem_line_picturebox',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_line.tpl'
        ),
        array(
            'template' => 'widget/product/bargainitem.tpl',
            'block'    => 'd3_tooltipp_bargainitem_picture',
            'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_line.tpl'
        ),
        array(
            'template' => 'page/review/review.tpl',
            'block'    => 'widget_product_listitem_line_picturebox',
            'file'     => 'views/blocks/page/review/d3tooltipp_review.tpl'
        ),
        array(
            'template' => 'widget/sidebar/recommendation.tpl',
            'block'    => 'd3_tooltipp_sidebarrecomm_picture',
            'file'     => 'views/blocks/widget/sidebar/d3tooltipp_recommendation.tpl'
        ),
    ),
);


$sShopversion = oxRegistry::getConfig()->getVersion();
$aShopversion = explode('.',$sShopversion);
if(($aShopversion[0] == 4 && $aShopversion[1] == 7) || ($aShopversion[0] == 5 && $aShopversion[1] == 0)){
//    echo "true"; // We have an older system (4.7.x or 5.0.x), so we need the boxproducts.tpl

    $aModule['blocks'][] =  array(
        'template' => 'widget/product/boxproducts.tpl',
        'block'    => 'widget_product_boxproduct_image',
        'file'     => 'views/blocks/widget/product/d3tooltipp_boxproducts.tpl'
    );
    $aModule['blocks'][] =  array(
        'template' => 'page/compare/inc/compareitem.tpl',
        'block'    => 'd3_tooltipp_compareitem_picture',
        'file'     => 'views/blocks/widget/product/d3tooltipp_product.tpl'
    );
    $aModule['blocks'][] = array(
        'template' => 'widget/product/bargainitems.tpl',
        'block'    => 'd3_tooltipp_bargainitem_picture',
        'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_line.tpl'
    );

} else {
//    echo "false";
    $aModule['blocks'][] =  array(
        'template' => 'widget/product/boxproduct.tpl',
        'block'    => 'widget_product_boxproduct_image',
        'file'     => 'views/blocks/widget/product/d3tooltipp_boxproducts.tpl'
    );
    $aModule['blocks'][] =  array(
        'template' => 'widget/product/compareitem.tpl',
        'block'    => 'd3_tooltipp_compareitem_picture',
        'file'     => 'views/blocks/widget/product/d3tooltipp_listitem_infogrid.tpl'
    );
}
